Subject: Re: Kernel Preemption patch

From: Matt Porter <[email-masked]>
Date: Tue, 25 Feb 2003 06:24:22 -0700

On Mon, Feb 24, 2003 at 02:29:18PM -0800, Eugene Surovegin wrote:
> I used George Anzinger patch (it looked less intrusive than 0(1) to me)
> with small fixes.
>
> Actually I applied 3 different patches to achieve reasonable user-mode soft
> real-time for 440GP kernel:
>
> 1) preempt patch (from MVL)
> 2) rtsched by George Anzinger
> 3) lock-break by RML
>
> I can make a patch for 2.4.19 PPC devel tree snapshot with all those
> patches and my fixes if you want.
>
> I'm not sure whether I should post it to the list or not.

I think these things have generally wide interest.  I'm more than
willing to host them at source.mvista.com with the 440gp mmap patches
that are already there.

I suppose we should get a pointer from penguinppc.org's patch page
to this site.

Regards,
--
Matt Porter
[email-masked]
This is Linux Country. On a quiet night, you can hear Windows reboot.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/